from mlc_tools.utils import fileutils


tmx_files = fileutils.get_files_list('./')
tmx_files = [x for x in tmx_files if x.endswith('.tmx')]

tiles_in_dungeon_tileset_128_prev = 88
tiles_in_dungeon_tileset_128_curr = 144
tiles_in_objects_tileset_128 = 256
# diff = 56
diff = tiles_in_dungeon_tileset_128_curr - tiles_in_dungeon_tileset_128_prev

for path in tmx_files:

	from_id = tiles_in_dungeon_tileset_128_prev + 1
	to_id = tiles_in_dungeon_tileset_128_curr + 1

	content = open(path).read()
	if f'<tileset firstgid="{from_id}" source="objects_tileset_128.tsx"/>' not in content:
		print(f'Skip level: {path}')
		continue
	content = content.replace(f'<tileset firstgid="{from_id}" source="objects_tileset_128.tsx"/>', f'<tileset firstgid="{to_id}" source="objects_tileset_128.tsx"/>')

	for i in reversed(range(tiles_in_objects_tileset_128)):
		content = content.replace(f' gid="{i+from_id}"', f' gid="{i+from_id+diff}"')
	open(path, 'w').write(content)


