#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_position;
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
    float x = v_position.x / 1080.0;
    float y = v_position.y / 1920.0;
    gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    
    //x = clamp(pow(x, 16.0), 0.1, 1.0);
    //y = clamp(pow(y, 4.0), 0.1, 1.0);
    //gl_FragColor.a = max(x, y);

    gl_FragColor.a = clamp(sqrt(x*x*x*x + y*y*y*y) / 10.0, 0.0, 1.0);
}
